package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDataareaSecretkeyRelation;
import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataArea;
import java.util.List;
import java.util.Map;

public interface DataareaSecretkeyRelationService {
   List<TCoreDataArea> queryDataAreaSecretKey(String dataarea);

   boolean save(TCoreDataareaSecretkeyRelation sec);

   void delete(String relationid);

   void setBatchEncryption(Map<String, String> params);

   void setdefault(String relationid);

   void setBatchClassifyEncryption(Map<String, String> params);
}
